#
# Build Environment Setting
#

ifeq ($(OS),Windows_NT)
	UNAME = Windos_NT
else
	UNAME = Linux
endif

ifeq ($(UNAME),Linux)
#TOOLDIR = /usr/bin
TOOLDIR = /opt/gcc-arm-none-eabi-4_8-2014q3/bin
OCDIR = /usr/share/openocd
MSGECHO = echo
else
TOOLDIR = /GnuARMtools/bin
OCDIR	= /GnuARMtools/OpenOCD
PATH = /GnuARMtools/bin
MSGECHO = echo.exe
endif

export

CC = $(TOOLDIR)/arm-none-eabi-gcc
#LD = $(TOOLDIR)/arm-none-eabi-ld
LD = $(TOOLDIR)/arm-none-eabi-gcc
AS = $(TOOLDIR)/arm-none-eabi-as
AR = $(TOOLDIR)/arm-none-eabi-ar
OBJCOPY = $(TOOLDIR)/arm-none-eabi-objcopy
OBJDUMP = $(TOOLDIR)/arm-none-eabi-objdump
SIZE = $(TOOLDIR)/arm-none-eabi-size
NM = $(TOOLDIR)/arm-none-eabi-nm

SED = sed
RM = rm -f
LS = ls
REMOVAL = rm
REMOVE		= $(REMOVAL) -f
REMOVEDIR 	= $(REMOVAL) -rf

# 最適化レベル
OPTIMIZE = s

# Toolchain prefix (i.e arm-none-eabi -> arm-none-eabi-gcc.exe)
TCHAIN  = arm-none-eabi

# OpenOCD prefix
OCD		= openocd
# Select OpenOCD Transport
#OCDMODE = SWD
OCDMODE = JTAG
# OpenOCD For FT2232 Devices Special Setting
# If u use WinUSB as Device Driver,uncomment this!
MPSSE	= ftdi
#MPSSE	= 

