#ifndef	__TERM_H__
#define	__TERM_H__
//*******************************************************
//
//	NTPclock
//
//	2015.9.19	KAWAKAMI Yukio
//*******************************************************

typedef struct S_COM_ARG {
	u8		*buff;
	char	arg0[64];
	char	arg1[64];
	char	arg2[64];
} COM_ARG;

#define		IrDA_ERR_TIMEOUT	32
#define		IrDA_ERR_BUSY		33
#define		IrDA_ERR_DATAERR	34
#define		IrDA_ERR_PARAM		35

#define		IrDA_ACK	'.'
#define		IrDA_NACK	'*'
#define		IrDA_CANCEL	'@'

#define		IrDA_SEND_BLOCK		'!'
#define		IrDA_REQ_ACK		'?'

void job_term(void);

void command(uint8_t *com_buff);

char *skip_space(char *p);
char *skip_next_word(char *p);
void split_arg(uint8_t *buff, COM_ARG *arg);
int get_value(char *str);
char is_hex(uint8_t c);
uint8_t hex_val(uint8_t c);

#endif	// __TERM_H__
