#ifndef	__FLASH_H__
#define	__FLASH_H__
//*******************************************************
//
//	NTPclock
//
//	CONFIG, フラッシュROM書き込み
//
//	2015.9.19	KAWAKAMI Yukio
//*******************************************************

typedef struct S_CONFIG {
	uint8_t		program_mark;
	int8_t		rtc_cal;
	uint16_t	flags;
	uint8_t		my_ip[4];
	uint16_t	my_port;
	char		ssid[32];
	char		pwd[64];
	char		ntp_server[32];
	uint16_t	mark;
} CONFIG;

#define	CONFIG_FLAGS_DEBUG	0x8000

#define	CONFIG_MARK	0xDB14

void load_config(CONFIG *config);
void save_config(CONFIG *config);
void init_config(CONFIG *config);

void write_flash(u32 adrs, u8 *buff);

void print_config(CONFIG *config, void (*out_func)(const char *msg));

#endif	// __FLASH_H__
