#ifndef	__LOG_H__
#define	__LOG_H__
//*******************************************************
//
//	NTPclock
//
//	ログの記録・読み出し
//
//	2015.9.19	KAWAKAMI Yukio
//*******************************************************

typedef struct S_LOG_DATA {
	uint32_t	time;
	char		msg[28];
} LOG_DATA;


#define	LOG_START	0x00010000
#define	LOG_SIZE	0x00010000

#define	LOG_ADRS_SEARCH_START	0
#define	LOG_ADRS_SEARCH_END		0xFFFFFFFF

void write_log(char *msg);
void write_log_msg(char *msg);
uint32_t read_log(uint32_t adrs, LOG_DATA *log);

void print_logs(uint32_t tm);

void clear_log(void);

#endif	// __LOG_H__
