#ifndef	__NTP_H__
#define	__NTP_H__
//*******************************************************
//
//	NTPclock
//
//	NTP処理
//
//	2015.9.20	KAWAKAMI Yukio
//*******************************************************

struct NTP_Packet {		// NTPパケット
	uint32_t control_word;
	uint32_t root_delay;
	uint32_t root_dispersion;
	uint32_t reference_identifier;
	uint64_t reference_timestamp;
	uint64_t originate_timestamp;
	uint64_t receive_timestamp;
	uint32_t transmit_timestamp_seconds;
	uint32_t transmit_timestamp_fractions;
};

int start_ntp(void);

uint16_t wifi_ntp(uint16_t stat, int res);

#endif	// __NTP_H__
